# Retrieve document routings list Endpoint: GET /routings Version: 2.51.0 Security: OAuth2 ## Query parameters: - `limit` (integer) - `offset` (integer) ## Response 200 fields (application/json): - `data` (array, required) - `data.name` (string, required) Example: "Document routing name" - `data.fromProjectId` (string, required) Example: "263e6663823b4c1f5287398bb" - `data.toProjectId` (string, required) Example: "263e6663823b4c1f5287398bb" - `data.postRoutingAction` (string) Defines the action to be executed for the routed document in the target project. Enum: "none", "refresh", "reprocess" - `data.active` (boolean, required) Example: true - `data.routingNode` (object, required) - `data.routingNode.evaluation` (any, required) - `data.routingNode.edges` (array) Example: [] - `data.id` (string, required) Example: "63e6663823b4c1f5287398bb" - `data.modifiedAt` (string) Example: "2023-02-10T15:46:19.384990Z" - `data.modifiedBy` (string) Example: "671f771235cd520084dd655f" - `data.createdBy` (string) Example: "671f771235cd520084dd655f" - `data.createdAt` (string) Example: "2023-02-10T15:46:19.384990Z" - `data.order` (integer, required) - `data.routingAction` (any, required) - `totalCount` (integer, required) - `limit` (integer, required) - `offset` (integer, required) ## Response 400 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 401 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 403 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 404 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 422 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 500 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error